Subject: Re: [Proposal] Pass additional metadata to sendemail-validate hook from git send-email

From: "Strawbridge, Michael" <[email-masked]>
Date: Mon, 29 Aug 2022 15:37:55 +0000

Thanks for getting back to me.  I'll write up a patch.

brian m. carlson writes:

> On 2022-08-26 at 21:00:25, Strawbridge, Michael wrote:
> > Hi,
> 
> Hey,
> 
> > I was hoping to put a feature proposal forward for git 
> > send-email.
> > 
> > For git send-email there is a git hook, sendemail-validate 
> > which
> > gets the body of the email that will be sent but is missing 
> > some
> > of the metadata that git send-email has access to.  I propose 
> > that
> > we also pass the extra metadata that gets presented to the 
> > user
> > later on via stdout such as: From, To, Cc, Subject, Date,
> > Message-Id, X-Mailer, MIME-Version, Content-Transfer-Encoding 
> > to
> > the git hook.
> > 
> > I'm willing to work on the patch but want to make sure the 
> > idea
> > would be accepted first.
> 
> I think the idea is interesting and would be willing to see a 
> patch come
> to the list.
> 
> However, having said that, we typically evaluate patches, not 
> proposals,
> so to see if it's actually accepted, you'd have to actually send 
> a
> patch.  We may find that while the idea is interesting, it turns 
> out to
> be infeasible, or, for whatever reason, the patch is unsuitable.
> 
> I know that this is different from how other projects typically 
> work,
> where you typically pitch an idea first and then implement, but 
> it's
> what we do here.
> -- 
> brian m. carlson (he/him or they/them)
> Toronto, Ontario, CA